/* ============================================================
 *
 * This file is a part of digiKam project
 * http://www.digikam.org
 *
 * Date        : 2007-01-08
 * Description : Hue/Saturation preview widget
 *
 * Copyright (C) 2007 by Gilles Caulier <caulier dot gilles at gmail dot com>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * ============================================================ */

#ifndef HSPREVIEWWIDGET_H
#define HSPREVIEWWIDGET_H

// TQt includes.

#include <tqwidget.h>

namespace DigikamImagesPluginCore
{

class HSPreviewWidgetPrivate;

class HSPreviewWidget : public TQWidget
{
  Q_OBJECT
  TQ_OBJECT

public:

    HSPreviewWidget(TQWidget *tqparent=0, int xBorder=0);
    ~HSPreviewWidget();

    void setHS(double hue, double sat);

protected:

    void resizeEvent( TQResizeEvent * );
    void paintEvent( TQPaintEvent * );

private:

    void updatePixmap();

private:

    HSPreviewWidgetPrivate *d;
};

}  // NameSpace DigikamImagesPluginCore

#endif /* HSPREVIEWWIDGET_H */
